---
title: Orientation and motion data explained
slug: Web/Guide/Events/Orientation_and_motion_data_explained
tags:
  - Intermediate
  - Mobile
  - Motion
  - NeedsContent
  - Orientation
  - páginas_a_traducir
  - rotation
---
<p>{{ Draft() }}</p>

<h2 id="Summary">Summary</h2>

<p>When using orientation and motion events, it's important to understand what the values you're given by the browser mean. This article provides details about the coordinate systems at play and how you use them.</p>

<h2 id="About_coordinate_frames">About coordinate frames</h2>

<p>A <strong>coordinate frame</strong> is a system whereby the orientation of the three axes (X, Y, and Z) are defined in reference to an object. There are two coordinate frames to consider when using orientation and motion events:</p>

<h3 id="Earth_coordinate_frame">Earth coordinate frame</h3>

<p>The Earth coordinate frame is the coordinate frame fixed on the center of the Earth; that is, the axes are aligned based on the pull of gravity and the standard magnetic north orientation. We use upper-case letters ("X", "Y", and "Z") to describe the axes of the Earth coordinate frame.</p>

<ul>
 <li>The <strong>X</strong> axis follows along the ground plane, perpendicular to the Y axis and positive toward the east (and therefore negative toward the west).</li>
 <li>The <strong>Y</strong> axis follows along the ground plane, and is positive toward true north (that is, the North Pole, not magnetic north) and negative toward true south.</li>
 <li>The <strong>Z</strong> axis is perpendicular to the ground plane; think of it as a line drawn between the device and the center of the Earth. The value of the Z coordinate is positive upward (away from the center of the Earth) and negative downward (toward the center of the Earth).</li>
</ul>

<h3 id="Device_coordinate_frame">Device coordinate frame</h3>

<p>The device coordinate frame is the coordination frame fixed on the center of the device. We use lower-case letters ("x", "y", and "z") to describe the axes of the device coordinate frame.</p>

<p><img alt="axes.png" class="default internal" src="/@api/deki/files/5694/=axes.png"></p>

<ul>
 <li>The <strong>x</strong> axis is in the plane of the screen and is positive toward the right and negative toward the left.</li>
 <li>The <strong>y</strong> axis is in the plane of the screen and is positive toward the top and negative toward the bottom.</li>
 <li>The <strong>z</strong> axis is perpendicular to the screen or keyboard, and is positive extending outward from the screen.</li>
</ul>

<div class="note"><strong>Note:</strong> On a phone or tablet, the orientation of the device is always considered in relation to the standard orientation of the screen; this is the "portrait" orientation on most devices. On a laptop computer, the orientation is considered in relation to the keyboard. If you want to detect changes in device orientation in order to compensate, you can use the <code>orientationchange</code> event.</div>

<h2 id="About_rotation">About rotation</h2>

<p>Rotation is described about any given axis in terms of the number of degrees of difference between the device's coordinate frame and the Earth coordinate frame, and is measured in degrees.</p>

<h3 id="Alpha">Alpha</h3>

<p>Rotation around the z axis -- that is, twisting the device -- causes the <strong>alpha</strong> rotation angle to change:</p>

<p><img alt="alpha.png" class="default internal" src="/@api/deki/files/5695/=alpha.png"></p>

<p>The alpha angle is 0° when top of the device is pointed directly toward the Earth's north pole, and increases as the device is rotated toward the left.</p>

<h3 id="Beta">Beta</h3>

<p>Rotation around the x axis -- that is, tipping the device away from or toward the user -- causes the <strong>beta</strong> rotation angle to change:</p>

<p><img alt="Positive beta pitches the device forward toward the user." src="https://mdn.mozillademos.org/files/16795/beta2.png" style="height: 388px; width: 415px;"></p>

<p>The beta angle is 0° when the device's top and bottom are the same distance from the Earth's surface; it increases toward 180° as the device is tipped forward toward the user, and it decreases toward -180° as the device is tipped backward away from the user.</p>

<h3 id="Gamma">Gamma</h3>

<p>Rotation around the y axis -- that is, tilting the device toward the left or right -- causes the <strong>gamma</strong> rotation angle to change:</p>

<p><img alt="gamma.png" class="default internal" src="/@api/deki/files/5697/=gamma.png"></p>

<p>The gamma angle is 0° when the device's left and right sides are the same distance from the surface of the Earth, and increases toward 90° as the device is tipped toward the right, and toward -90° as the device is tipped toward the left.</p>
